Package com.plannaplan.responses.models

# Class GroupWithCapacityResponse

java.lang.Object
com.plannaplan.responses.models.GroupDefaultResponse
com.plannaplan.responses.models.GroupWithCapacityResponse

    public class GroupWithCapacityResponse
    extends GroupDefaultResponse

Group api response featuring group capacity

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`GroupWithCapacityResponse​(com.plannaplan.entities.Assignment assignment)` | create new instance
`GroupWithCapacityResponse​(com.plannaplan.entities.Assignment assignment, int takenPlaces)` | create new instance
`GroupWithCapacityResponse​(com.plannaplan.entities.Groups group)` | create new instance
`GroupWithCapacityResponse​(com.plannaplan.entities.Groups group, int takenPlaces)` | create new instance

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `getCapacity()` |

### Methods inherited from class com.plannaplan.responses.models.GroupDefaultResponse

`getDay, getEndTime, getGrNr, getId, getIsAccepted, getLecturer, getRoom, getTakenPlaces, getTime, getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GroupWithCapacityResponse

public GroupWithCapacityResponse​(com.plannaplan.entities.Groups group)
create new instance

Parameters:
  `group` - entity to map to api response

### GroupWithCapacityResponse

public GroupWithCapacityResponse​(com.plannaplan.entities.Groups group, int takenPlaces)
create new instance

Parameters:
  `group` - entity to map to api response
  `takenPlaces` - group taken places

### GroupWithCapacityResponse

public GroupWithCapacityResponse​(com.plannaplan.entities.Assignment assignment)
create new instance

Parameters:
  `assignment` - entity to map to api response

### GroupWithCapacityResponse

public GroupWithCapacityResponse​(com.plannaplan.entities.Assignment assignment, int takenPlaces)
create new instance

Parameters:
  `assignment` - entity to map to api response
  `takenPlaces` - group taken places

## Method Details

### getCapacity

public int getCapacity()

Returns:
  group taken places